<?xml version="1.0" encoding="utf-8" standalone="yes"?>
<rss version="2.0" xmlns:atom="http://www.w3.org/2005/Atom">
  <channel>
    <title>go on Basit&#39;s Blog</title>
    <link>https://blog.rjbasitali.com/tags/go/</link>
    <description>Recent content in go on Basit&#39;s Blog</description>
    <generator>Hugo -- gohugo.io</generator>
    <language>en-us</language>
    <copyright>Basit Ali</copyright>
    <lastBuildDate>Tue, 12 Oct 2021 22:05:04 +0500</lastBuildDate><atom:link href="https://blog.rjbasitali.com/tags/go/index.xml" rel="self" type="application/rss+xml" />
    <item>
      <title>Writing your own Reverse Proxy server using Golang</title>
      <link>https://blog.rjbasitali.com/posts/writing-your-own-reverse-proxy-using-golang/</link>
      <pubDate>Tue, 12 Oct 2021 22:05:04 +0500</pubDate>
      
      <guid>https://blog.rjbasitali.com/posts/writing-your-own-reverse-proxy-using-golang/</guid>
      <description>Writing a Reverse Proxy server in Go is a matter of single digit lines of code due to its rock solid standard library and its low level network plumbing capabilities. Recently I came across some use cases where I needed to write my own Reverse Proxy server and of course Go was the pragmatic choice.
Let us first start with defining Reverse Proxy and its common uses.
Reverse Proxy A Reverse Proxy is an intermediary server that sits between multiple clients and servers, and directs client requests to appropriate backend server.</description>
    </item>
    
  </channel>
</rss>
